org.apache.tiles.template

## Class PutListAttributeModel

- java.lang.Object
- - org.apache.tiles.template.PutListAttributeModel

-     public class PutListAttributeModel
      extends Object

  Declare a list that will be pass as attribute to tile.

  Declare a list that will be pass as attribute to tile. List elements are added using the tags 'addAttribute' or 'addListAttribute'. This tag can only be used inside 'insertTemplate', 'insertDefinition', 'definition' tags.

  Since:
    2.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PutListAttributeModel()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute(String name, String role, boolean inherit, boolean cascade, Request request, ModelBody modelBody)` Executes the model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PutListAttributeModel

          public PutListAttributeModel()

  - ### Method Detail

    - #### execute

          public void execute(String name,
                              String role,
                              boolean inherit,
                              boolean cascade,
                              Request request,
                              ModelBody modelBody)
                       throws IOException

      Executes the model.
      Parameters:
        `name` - The name of the attribute to put.
        `role` - A comma-separated list of roles. If present, the attribute will be rendered only if the current user belongs to one of the roles.
        `inherit` - If `true`, the list attribute will use, as first elements, the list contained in the list attribute, put with the same name, of the containing definition.
        `cascade` - If `true` the attribute will be cascaded to all nested attributes.
        `request` - The request.
        `modelBody` - The body.
      Throws:
        `IOException` - If the body cannot be evaluated.

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.